summaryrefslogtreecommitdiff
path: root/tests/test-readtokens.sh
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2012-03-07 12:16:30 +0100
committerJim Meyering <meyering@redhat.com>2012-03-07 21:04:07 +0100
commit6aefe07bd86d5579c60dc35c874fc0e6c1972b49 (patch)
treeccda1fe0d003e6f317ef4eaceab257d72d38b464 /tests/test-readtokens.sh
parent825091834f1fca679e1547665edcbc083be85c35 (diff)
downloadgnulib-6aefe07bd86d5579c60dc35c874fc0e6c1972b49.tar.gz
readtokens: add tests
* modules/readtokens-tests: New file. * tests/test-readtokens.c: New file. * tests/test-readtokens.sh: New file.
Diffstat (limited to 'tests/test-readtokens.sh')
-rwxr-xr-xtests/test-readtokens.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/tests/test-readtokens.sh b/tests/test-readtokens.sh
new file mode 100755
index 0000000000..51fd41e518
--- /dev/null
+++ b/tests/test-readtokens.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+. "${srcdir=.}/init.sh"; path_prepend_ .
+
+fail=0
+
+test-readtokens || fail=1
+
+# Simplest case.
+echo a:b:c: > exp || fail=1
+printf a:b:c | test-readtokens : > out 2>&1 || fail=1
+compare exp out || fail=1
+
+# Use NUL as the delimiter.
+echo a:b:c: > exp || fail=1
+printf 'a\0b\0c' | test-readtokens '\0' > out 2>&1 || fail=1
+compare exp out || fail=1
+
+# Two delimiter bytes, and adjacent delimiters in the input.
+echo a:b:c: > exp || fail=1
+printf a:-:b-:c:: | test-readtokens :- > out 2>&1 || fail=1
+compare exp out || fail=1
+
+Exit $fail